/*
 * id.h - Identifier lookup
 *
 * Written 2003 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef ID_H
#define ID_H

#include "data.h"
#include "op.h"


extern struct dwx_type id_type;


struct value *evaluate_id_left(const struct op *expr);

/*
 * "evaluate_id" uses a list of object or type numbers as resolution goals.
 * The list is terminated with a 0 value.
 */

struct value *evaluate_id(struct value *value,...);

int sbug_op_member(const struct op *expr,struct value **value,const char *tag);

struct value *op_object(const struct op *self);
struct value *op_object_unit(const struct op *self);

#endif /* ID_H */
